/*
 * Copyright (c) 1999 Ian Freislich
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 *      $Id: popd.h,v 1.30 2002/11/06 14:39:14 ianf Exp $
 */

struct user
{
	char		*realm;
	char		*auth_string;
	char		*username;
	char		*password;
};

struct radius_s
{
	int	 port;
	int	 tries;
	int	 timeout;
	char	*host;
	char	*secret;
};

struct config {
	int		 debug;
	int		 daemonise;
	int		 hashdepth;
	int		 localuser;
#ifdef USE_IPV6
	char		*port;
#else
	int		 port;
#endif
	int		 proxy;
	int		 proxy_port;
	int		 pwcheck;
	int		 ssl_server;
	int		 ssl_proxy;
	int		 virtual;
	int		 flags;
	int		 force;

	time_t		 timeout;
	time_t		 expire;
	time_t		 remove;
	time_t		 lastreload;

	char		*bulletindir;
	char		*config_file;
	char		*dbfile;
	char		*defaultrealm;
	char		*etcdir;
	char		*maildir;
	char		*secrets;
	char		*timestamp;
	char		*user;
	char		*proxy_name;
	char		*proxy_passwd;
	char		*ssl_cert;
	char		*ssl_key;

#ifdef USE_IPV6
	u_char		 family;
	char		*bind_address;
#else
	struct in_addr	 bind_address;
#endif
	int		 proxy_socket;
	FILE		*socket_in;
	FILE		*socket_out;
	struct radius_s	*radius;
	struct in_addr	 proxy_addr;
};

void	usage(void);
